%define piname	iacfleet_pi

Name:		opencpn-iacfleet-plugin
Summary:	Plugin for OpenCpn for visualizing data in weather bulletins
Version:	0.21
Release:	%mkrel 3
License:	GPLv3+
Group:		Geography
URL:		https://github.com/nohal/%{piname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	lib64wxgtku3.1-devel
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
IAC Fleet Code plugin for opencpn visualizes the encoded data issued as part of
the weather bulletins.
The IAC Fleet Code provides size effective encoded synoptic charts for several
areas of the world, especially useful with slow and limited connection to the
Internet.
Coverage areas:
    - South Pacific weather issued by Fiji Meteorologica Service in Nadi and
      available from Saildocs
    - Weather over Brazil and adjacent parts of Pacific and Atlantic oceans,
      including direct download of the data from the Internet
    - Weather analysis and 24 hour forecast for North Atlantic and Europe
      issued by NOAA, including direct download of the data from the Internet.

%prep
%setup -q -n %{piname}

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/*


%changelog
* Sun Oct 06 2019 tex - 0.21-3pclos2019
- rebuild against updates

* Thu May 16 2019 tex - 0.21-2pclos2019
- rebuild against updates

